I’m a SPC3 or SA3, can I upgrade to 4.6?

You are here:
< Back

For SPC3s and SA3s, the upgrade path to a SAFe 4 certification was available through August 31, 2018. Now you will need to take a 4.6 course because there is no upgrade path from 3.0 to SAFe 4 (Versions 4.0, 4.5 or 4.6).  You can search available classes at www.scaledagile.com/calendar. The SAFe 4 Certification is the most up to date Certification available.

Previous I’m a partner, when can I schedule SAFe for Government and Agile Software Engineering on my public course calendar?
Next I’m a SPC4 and have my 4.5 validations, do those count for 4.6 or do I need to do 4.6 validations as well?